/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-01-2012 10:09:13pm
Filepath: scripts\events and scenarios\Halloween2011\Quests\Quest Rewards\StuffedAncientHellHound.cs
Lines of code: 43

Description: 

***********************************************************/


using System;
using Server;
using Server.Mobiles;
using Server.Network;
using System.Collections;

namespace Server.Items
{
	public class StuffedAncientHellHound : Item
	{
		[Constructable]
		public StuffedAncientHellHound() : base( 16381 )
		{
			Name = "a stuffed, ancient hell hound";
			LootType=LootType.Blessed;
			Weight = 1.0;
		}
		
		public override void GetProperties( ObjectPropertyList list)
		{
			base.GetProperties( list );
			list.Add( 1060658,"Halloween \t" + "2011");
		}
		
		public override void OnDoubleClick( Mobile from )
		{
			if (from.Alive && from != null) {
				from.LocalOverheadMessage( MessageType.Regular, 2210, true, "* The stuffed animal growls as you squeeze it *" );
				from.PlaySound( Utility.Random( 0x0B2, 5 ) ); 
			}
		}

		public StuffedAncientHellHound( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}